.TH wxHtmlEasyPrinting 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxHtmlEasyPrinting \- See external documentation: wxHtmlEasyPrinting\&.
.SH DESCRIPTION
.LP
See external documentation: wxHtmlEasyPrinting <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxhtmleasyprinting\&.html>\&.

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxHtmlEasyPrinting()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new() -> wxHtmlEasyPrinting()
.br
.RS
.LP
Equivalent to new([])\&.
.RE
.LP
.B
new(Options::[Option]) -> wxHtmlEasyPrinting()
.br
.RS
.TP
Types
Option = {name, string()} | {parentWindow, wxWindow() (see module wxWindow)}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxhtmleasyprinting\&.html#wxhtmleasyprintingwxhtmleasyprinting>\&.
.RE
.LP
.B
getPrintData(This::wxHtmlEasyPrinting()) -> wxPrintData() (see module wxPrintData)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxhtmleasyprinting\&.html#wxhtmleasyprintinggetprintdata>\&.
.RE
.LP
.B
getPageSetupData(This::wxHtmlEasyPrinting()) -> wxPageSetupDialogData() (see module wxPageSetupDialogData)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxhtmleasyprinting\&.html#wxhtmleasyprintinggetpagesetupdata>\&.
.RE
.LP
.B
previewFile(This::wxHtmlEasyPrinting(), Htmlfile::string()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxhtmleasyprinting\&.html#wxhtmleasyprintingpreviewfile>\&.
.RE
.LP
.B
previewText(This::wxHtmlEasyPrinting(), Htmltext::string()) -> bool()
.br
.RS
.LP
Equivalent to previewText(This, Htmltext, [])\&.
.RE
.LP
.B
previewText(This::wxHtmlEasyPrinting(), Htmltext::string(), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {basepath, string()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxhtmleasyprinting\&.html#wxhtmleasyprintingpreviewtext>\&.
.RE
.LP
.B
printFile(This::wxHtmlEasyPrinting(), Htmlfile::string()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxhtmleasyprinting\&.html#wxhtmleasyprintingprintfile>\&.
.RE
.LP
.B
printText(This::wxHtmlEasyPrinting(), Htmltext::string()) -> bool()
.br
.RS
.LP
Equivalent to printText(This, Htmltext, [])\&.
.RE
.LP
.B
printText(This::wxHtmlEasyPrinting(), Htmltext::string(), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {basepath, string()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxhtmleasyprinting\&.html#wxhtmleasyprintingprinttext>\&.
.RE
.LP
.B
pageSetup(This::wxHtmlEasyPrinting()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxhtmleasyprinting\&.html#wxhtmleasyprintingpagesetup>\&.
.RE
.LP
.B
setFonts(This::wxHtmlEasyPrinting(), Normal_face::string(), Fixed_face::string()) -> ok
.br
.RS
.LP
Equivalent to setFonts(This, Normal_face, Fixed_face, [])\&.
.RE
.LP
.B
setFonts(This::wxHtmlEasyPrinting(), Normal_face::string(), Fixed_face::string(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {sizes, [integer()]}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxhtmleasyprinting\&.html#wxhtmleasyprintingsetfonts>\&.
.RE
.LP
.B
setHeader(This::wxHtmlEasyPrinting(), Header::string()) -> ok
.br
.RS
.LP
Equivalent to setHeader(This, Header, [])\&.
.RE
.LP
.B
setHeader(This::wxHtmlEasyPrinting(), Header::string(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {pg, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxhtmleasyprinting\&.html#wxhtmleasyprintingsetheader>\&.
.RE
.LP
.B
setFooter(This::wxHtmlEasyPrinting(), Footer::string()) -> ok
.br
.RS
.LP
Equivalent to setFooter(This, Footer, [])\&.
.RE
.LP
.B
setFooter(This::wxHtmlEasyPrinting(), Footer::string(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {pg, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxhtmleasyprinting\&.html#wxhtmleasyprintingsetfooter>\&.
.RE
.LP
.B
destroy(This::wxHtmlEasyPrinting()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
